LibreOffice LibreOffice 6.0 SDK API Reference

Variables
com::sun::star::awt::LineEndFormat Constant Group Reference

These values are used to specify which line end format should be used in strings. More...

## Variables
const short | CARRIAGE_RETURN = 0
| specifies that line ends are to be represented by a carriage return character (`\r`) More...
const short | LINE_FEED = 1
| specifies that line ends are to be represented by a line feed character (`\n`) More...
const short | CARRIAGE_RETURN_LINE_FEED = 2
| specifies that line ends are to be represented by a line feed character (`\n`), followed by a carriage return character (`\r`). More...

## Detailed Description

These values are used to specify which line end format should be used in strings.

## Variable Documentation

## ◆ CARRIAGE_RETURN

const short CARRIAGE_RETURN = 0

specifies that line ends are to be represented by a carriage return character (`\r`)

## ◆ CARRIAGE_RETURN_LINE_FEED

const short CARRIAGE_RETURN_LINE_FEED = 2

specifies that line ends are to be represented by a line feed character (`\n`), followed by a carriage return character (`\r`).

## ◆ LINE_FEED

const short LINE_FEED = 1

specifies that line ends are to be represented by a line feed character (`\n`)